| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Classes | Typedefs | Enumerations | Functions
stat_tap_ui.h File Reference
`#include "ws_symbol_export.h"`
`#include <epan/params.h>`
`#include <epan/stat_groups.h>`
`#include <epan/packet_info.h>`
`#include <epan/tap.h>`
`#include <epan/wmem_scopes.h>`

Go to the source code of this file.

## Classes
struct | _tap_param
struct | _stat_tap_ui
struct | _stat_tap_table_item_type
| Represents a single item in a statistics tap table. More...
struct | _stat_tap_table_item
struct | _stat_tap_table
struct | _stat_tap_table_ui
struct | _stat_data_t

## Typedefs
typedef struct _tap_param | tap_param
typedef bool(* | stat_tap_init_cb) (const char *, void *)
typedef struct _stat_tap_ui | stat_tap_ui
typedef struct _stat_tap_table_item_type | stat_tap_table_item_type
| Represents a single item in a statistics tap table.
typedef struct _stat_tap_table_item | stat_tap_table_item
typedef struct _stat_tap_table | stat_tap_table
typedef struct _stat_tap_table_ui | stat_tap_table_ui
typedef struct _stat_data_t | stat_data_t

## Enumerations
enum | param_type { PARAM_UINT , PARAM_STRING , PARAM_ENUM , PARAM_UUID , PARAM_FILTER }
enum | stat_tap_table_item_enum { TABLE_ITEM_NONE = 0 , TABLE_ITEM_UINT , TABLE_ITEM_INT , TABLE_ITEM_STRING , TABLE_ITEM_FLOAT , TABLE_ITEM_ENUM }
enum | tap_alignment_type { TAP_ALIGN_LEFT = 0 , TAP_ALIGN_RIGHT }

## Functions
void | stat_tap_init (void)
WS_DLL_PUBLIC void | register_stat_tap_ui (stat_tap_ui *ui, void *userdata)
WS_DLL_PUBLIC void | register_stat_tap_table_ui (stat_tap_table_ui *ui)
WS_DLL_PUBLIC void | stat_tap_iterate_tables (wmem_foreach_func func, void *user_data)
WS_DLL_PUBLIC void | stat_tap_get_filter (stat_tap_table_ui *new_stat, const char *opt_arg, const char **filter, char **err)
WS_DLL_PUBLIC stat_tap_table * | stat_tap_init_table (const char *name, int num_fields, int num_elements, const char *filter_string)
WS_DLL_PUBLIC void | stat_tap_add_table (stat_tap_table_ui *new_stat, stat_tap_table *table)
WS_DLL_PUBLIC stat_tap_table * | stat_tap_find_table (stat_tap_table_ui *ui, const char *name)
WS_DLL_PUBLIC void | stat_tap_init_table_row (stat_tap_table *stat_table, unsigned table_index, unsigned num_fields, const stat_tap_table_item_type *fields)
WS_DLL_PUBLIC stat_tap_table_item_type * | stat_tap_get_field_data (const stat_tap_table *stat_table, unsigned table_index, unsigned field_index)
WS_DLL_PUBLIC void | stat_tap_set_field_data (stat_tap_table *stat_table, unsigned table_index, unsigned field_index, stat_tap_table_item_type *field_data)
WS_DLL_PUBLIC void | reset_stat_table (stat_tap_table_ui *new_stat)
WS_DLL_PUBLIC stat_tap_table_ui * | stat_tap_by_name (const char *name)
WS_DLL_PUBLIC void | free_stat_tables (stat_tap_table_ui *new_stat)
WS_DLL_PUBLIC bool | process_stat_cmd_arg (const char *optstr)
WS_DLL_PUBLIC void | list_stat_cmd_args (void)
WS_DLL_PUBLIC bool | start_requested_stats (void)

## Detailed Description

Declarations of routines to register UI information for stats

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Typedef Documentation

## ◆ stat_data_t

typedef struct _stat_data_t stat_data_t

tap data

## ◆ stat_tap_table_item_type

typedef struct _stat_tap_table_item_type stat_tap_table_item_type

Represents a single item in a statistics tap table.

This structure holds a typed value used in statistical reporting, such as counters, labels, or computed metrics. It also includes a scratchpad area (`user_data`) for dissector-specific temporary storage or extended metadata.

## Function Documentation

## ◆ free_stat_tables()

WS_DLL_PUBLIC void free_stat_tables | ( | stat_tap_table_ui * | new_stat | ) |

Free all of the tables associated with a stat_tap_table_ui.

Frees data created by stat_tap_ui.stat_tap_init_cb. stat_tap_table_ui.stat_tap_free_table_item_cb is called for each index in each row.

Parameters

  new_stat | Parent stat_tap_table_ui struct, provided by the dissector.

## ◆ register_stat_tap_ui()

WS_DLL_PUBLIC void register_stat_tap_ui | ( | stat_tap_ui * | ui,
|  | void * | userdata
| ) |  |

Register UI information for a tap.

Parameters

  ui | UI information for the tap.
  userdata | Additional data for the init routine.